GearmanClient::setCompleteCallback
GearmanClient::setCreatedCallback
GearmanClient
PHP Manual

# GearmanClient::setContext

(PECL gearman >= 0.6.0)

GearmanClient::setContext — Set application context

### Description

public bool GearmanClient::setContext ( string `$context` )

Sets an arbitrary string to provide application context that can later be retrieved by GearmanClient::context().

### Parameters

`context`

  Arbitrary context data

### Return Values

Always returns `TRUE`.

### See Also

- GearmanClient::context() - Get the application context

GearmanClient::setCompleteCallback
GearmanClient::setCreatedCallback
GearmanClient
PHP Manual